Groovy Documentation

## org.codehaus.groovy
[Java] Class GroovyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException

All Implemented Interfaces:
  GroovyExceptionInterface

    public class GroovyException
    extends java.lang.Exception

Constructor Summary
`GroovyException()`
`GroovyException(java.lang.String message)`
`GroovyException(java.lang.String message, java.lang.Throwable cause)`
`GroovyException(boolean fatal)`
`GroovyException(java.lang.String message, boolean fatal)`

Method Summary
`boolean` | `isFatal()`
`void` | `setFatal(boolean fatal)`

Methods inherited from class java.lang.Exception

java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Methods inherited from class java.lang.Throwable

java.lang.Throwable#printStackTrace(), java.lang.Throwable#printStackTrace(java.io.PrintStream), java.lang.Throwable#printStackTrace(java.io.PrintWriter), java.lang.Throwable#fillInStackTrace(), java.lang.Throwable#getCause(), java.lang.Throwable#initCause(java.lang.Throwable), java.lang.Throwable#toString(), java.lang.Throwable#getMessage(), java.lang.Throwable#getLocalizedMessage(), java.lang.Throwable#getStackTrace(), java.lang.Throwable#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Throwable#addSuppressed(java.lang.Throwable), java.lang.Throwable#getSuppressed(), java.lang.Throwable#wait(long), java.lang.Throwable#wait(long, int), java.lang.Throwable#wait(), java.lang.Throwable#equals(java.lang.Object), java.lang.Throwable#hashCode(), java.lang.Throwable#getClass(), java.lang.Throwable#notify(), java.lang.Throwable#notifyAll()

Constructor Detail

### GroovyException

    public GroovyException()

### GroovyException

    public GroovyException(java.lang.String message)

### GroovyException

    public GroovyException(java.lang.String message, java.lang.Throwable cause)

### GroovyException

    public GroovyException(boolean fatal)

### GroovyException

    public GroovyException(java.lang.String message, boolean fatal)

Method Detail

### isFatal

    public boolean isFatal()

### setFatal

    public void setFatal(boolean fatal)

Groovy Documentation